use axum::{Router, routing::BoxRoute};

mod rooms;
mod clerks;
mod bookings;
mod clients;
mod persons;

pub fn routes() -> Router<BoxRoute> {
    Router::new()
        .nest("/rooms", rooms::routes())
        .nest("/bookings", bookings::routes())
        .nest("/clerks", clerks::routes())
        .nest("/clients", clients::routes())
        .nest("/persons", persons::routes())
        .boxed()
}